﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register Assembly="Infragistics35.WebUI.UltraWebChart.v10.1" Namespace="Infragistics.WebUI.UltraWebChart"
    TagPrefix="igchart" %>
<%@ Register assembly="Infragistics35.WebUI.UltraWebChart.v10.1" namespace="Infragistics.UltraChart.Resources.Appearance" tagprefix="igchartprop" %>
<%@ Register assembly="Infragistics35.WebUI.UltraWebChart.v10.1" namespace="Infragistics.UltraChart.Data" tagprefix="igchartdata" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <igchart:UltraChart ID="UltraChart1" runat="server"></igchart:UltraChart>
        <igchart:UltraChart ID="UltraChart2" runat="server" ChartType="Composite" 
            EmptyChartText="Data Not Available. Please call UltraChart.Data.DataBind() after setting valid Data.DataSource" 
            Version="10.1" BackgroundImageFileName="">
            <ColorModel AlphaLevel="150" ColorBegin="Pink" ColorEnd="DarkRed" 
                ModelStyle="CustomLinear">
            </ColorModel>
            <CompositeChart>
                <Series>
                    <igchartprop:NumericTimeSeries Key="series1">
                        <points>
                            <igchartprop:NumericTimeDataPoint Label="LabelData1" NumericValue="333" 
                                TimeValue="02/08/2010 10:23:02">
                                <pe elementtype="None" />
                            </igchartprop:NumericTimeDataPoint>
                            <igchartprop:NumericTimeDataPoint Label="LabelData2" NumericValue="23.3" 
                                TimeValue="06/08/2010 10:23:12">
                                <pe elementtype="None" />
                            </igchartprop:NumericTimeDataPoint>
                            <igchartprop:NumericTimeDataPoint Label="LabelData3" NumericValue="43.3" 
                                TimeValue="02/07/2010 10:23:25">
                                <pe elementtype="None" />
                            </igchartprop:NumericTimeDataPoint>
                        </points>
                    </igchartprop:NumericTimeSeries>
                </Series>
                <ChartLayers>
                    <igchartprop:ChartLayerAppearance AxisXKey="axis1" AxisYKey="axis2" 
                        ChartAreaKey="area1" ChartType="ScatterChart" Key="chartLayer1" 
                        SeriesList="series1">
                        <ChartTypeAppearances>
                            <igchartprop:ScatterChartAppearance>
                            </igchartprop:ScatterChartAppearance>
                        </ChartTypeAppearances>
                    </igchartprop:ChartLayerAppearance>
                </ChartLayers>
                <ChartAreas>
                    <igchartprop:ChartArea Key="area1">
                        <Axes>
                            <igchartprop:AxisItem DataType="Time" Key="axis1" OrientationType="X_Axis" 
                                SetLabelAxisType="GroupBySeries" TickmarkInterval="0">
                                <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot" 
                                    Thickness="1" Visible="True" />
                                <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot" 
                                    Thickness="1" Visible="False" />
                                <Labels HorizontalAlign="Near" ItemFormatString="&lt;ITEM_LABEL&gt;" 
                                    Orientation="VerticalRightFacing" VerticalAlign="Center">
                                    <SeriesLabels HorizontalAlign="Center" Orientation="Horizontal" 
                                        VerticalAlign="Center">
                                    </SeriesLabels>
                                </Labels>
                            </igchartprop:AxisItem>
                            <igchartprop:AxisItem DataType="Numeric" Key="axis2" OrientationType="Y_Axis" 
                                SetLabelAxisType="GroupBySeries" TickmarkInterval="0" 
                                TickmarkStyle="DataInterval">
                                <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot" 
                                    Thickness="1" Visible="True" />
                                <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot" 
                                    Thickness="1" Visible="False" />
                                <Labels HorizontalAlign="Near" ItemFormatString="&lt;DATA_VALUE:n2&gt;" 
                                    Orientation="Horizontal" VerticalAlign="Center">
                                    <SeriesLabels HorizontalAlign="Center" Orientation="Horizontal" 
                                        VerticalAlign="Center">
                                    </SeriesLabels>
                                </Labels>
                            </igchartprop:AxisItem>
                        </Axes>
                        <GridPE ElementType="None" />
                    </igchartprop:ChartArea>
                </ChartAreas>
            </CompositeChart>
            <Axis>                
                <PE ElementType="None" Fill="Cornsilk" />
                <X LineThickness="1" TickmarkInterval="10" TickmarkStyle="Smart" Visible="True">                    
                    <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot" 
                        Thickness="1" Visible="True" />
                    <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot" 
                        Thickness="1" Visible="False" />
                    <Labels Font="Verdana, 7pt" FontColor="DimGray" HorizontalAlign="Near" 
                        Orientation="VerticalLeftFacing" 
                        VerticalAlign="Center" ItemFormatString="&lt;ITEM_LABEL&gt;">
                        <SeriesLabels Font="Verdana, 7pt" FontColor="DimGray" FormatString="" 
                            HorizontalAlign="Near" Orientation="VerticalLeftFacing" VerticalAlign="Center">
                            <Layout Behavior="Auto">
                            </Layout>
                        </SeriesLabels>                        
                        <Layout Behavior="Auto">
                        </Layout>
                    </Labels>
                </X>
                <Y LineThickness="1" TickmarkInterval="40" TickmarkStyle="Smart" Visible="True">
                    <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot" 
                        Thickness="1" Visible="True" />
                    <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot" 
                        Thickness="1" Visible="False" />
                    <Labels Font="Verdana, 7pt" FontColor="DimGray" HorizontalAlign="Far" 
                        ItemFormatString="&lt;DATA_VALUE:00.##&gt;" Orientation="Horizontal" 
                        VerticalAlign="Center">
                        <SeriesLabels Font="Verdana, 7pt" FontColor="DimGray" FormatString="" 
                            HorizontalAlign="Far" Orientation="Horizontal" VerticalAlign="Center">
                            <Layout Behavior="Auto">
                            </Layout>
                        </SeriesLabels>
                        <Layout Behavior="Auto">
                        </Layout>
                    </Labels>
                </Y>
                <Y2 LineThickness="1" TickmarkInterval="40" TickmarkStyle="Smart" 
                    Visible="False">
                    <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot" 
                        Thickness="1" Visible="True" />
                    <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot" 
                        Thickness="1" Visible="False" />
                    <Labels Font="Verdana, 7pt" FontColor="Gray" HorizontalAlign="Near" 
                        ItemFormatString="&lt;DATA_VALUE:00.##&gt;" Orientation="Horizontal" 
                        VerticalAlign="Center" Visible="False">
                        <SeriesLabels Font="Verdana, 7pt" FontColor="Gray" FormatString="" 
                            HorizontalAlign="Near" Orientation="Horizontal" VerticalAlign="Center">
                            <Layout Behavior="Auto">
                            </Layout>
                        </SeriesLabels>
                        <Layout Behavior="Auto">
                        </Layout>
                    </Labels>
                </Y2>
                <X2 LineThickness="1" TickmarkInterval="10" TickmarkStyle="Smart" 
                    Visible="False">
                    <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot" 
                        Thickness="1" Visible="True" />
                    <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot" 
                        Thickness="1" Visible="False" />
                    <Labels Font="Verdana, 7pt" FontColor="Gray" HorizontalAlign="Far" 
                        ItemFormatString="&lt;ITEM_LABEL&gt;" Orientation="VerticalLeftFacing" 
                        VerticalAlign="Center" Visible="False">
                        <SeriesLabels Font="Verdana, 7pt" FontColor="Gray" FormatString="" 
                            HorizontalAlign="Far" Orientation="VerticalLeftFacing" VerticalAlign="Center">
                            <Layout Behavior="Auto">
                            </Layout>
                        </SeriesLabels>
                        <Layout Behavior="Auto">
                        </Layout>
                    </Labels>
                </X2>
                <Z LineThickness="1" TickmarkInterval="0" TickmarkStyle="Smart" Visible="False">
                    <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot" 
                        Thickness="1" Visible="True" />
                    <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot" 
                        Thickness="1" Visible="False" />
                    <Labels Font="Verdana, 7pt" FontColor="DimGray" HorizontalAlign="Near" 
                        ItemFormatString="&lt;ITEM_LABEL&gt;" Orientation="Horizontal" 
                        VerticalAlign="Center" Visible="False">
                        <SeriesLabels Font="Verdana, 7pt" FontColor="DimGray" HorizontalAlign="Near" 
                            Orientation="Horizontal" VerticalAlign="Center">
                            <Layout Behavior="Auto">
                            </Layout>
                        </SeriesLabels>
                        <Layout Behavior="Auto">
                        </Layout>
                    </Labels>
                </Z>
                <Z2 LineThickness="1" TickmarkInterval="0" TickmarkStyle="Smart" 
                    Visible="False">
                    <MajorGridLines AlphaLevel="255" Color="Gainsboro" DrawStyle="Dot" 
                        Thickness="1" Visible="True" />
                    <MinorGridLines AlphaLevel="255" Color="LightGray" DrawStyle="Dot" 
                        Thickness="1" Visible="False" />
                    <Labels Font="Verdana, 7pt" FontColor="Gray" HorizontalAlign="Near" 
                        ItemFormatString="&lt;ITEM_LABEL&gt;" Orientation="Horizontal" 
                        VerticalAlign="Center" Visible="False">
                        <SeriesLabels Font="Verdana, 7pt" FontColor="Gray" HorizontalAlign="Near" 
                            Orientation="Horizontal" VerticalAlign="Center">
                            <Layout Behavior="Auto">
                            </Layout>
                        </SeriesLabels>
                        <Layout Behavior="Auto">
                        </Layout>
                    </Labels>
                </Z2>
            </Axis>                        
        </igchart:UltraChart>
    </div>
    </form>
</body>
</html>
